import glob
import sys

from PyQt6.QtGui import QFontDatabase, QFontInfo
from PyQt6.QtWidgets import QApplication, QLabel, QMainWindow, QVBoxLayout, QWidget


class Widget(QWidget):
    def __init__(self, parent):
        super().__init__(parent)
        l = QVBoxLayout(self)

        f1 = QFontDatabase.font('Exo', 'Bold', 24)
        o1 = QFontInfo(f1)
        l1 = QLabel(f'{o1.family()} {o1.styleName()} {o1.weight()} {o1.italic()}')
        l1.setFont(f1)
        l.addWidget(l1)

        f2 = QFontDatabase.font('Exo', 'Bold', 24)
        f2.setItalic(True)
        o2 = QFontInfo(f2)
        l2 = QLabel(f'{o2.family()} {o2.styleName()} {o2.weight()} {o2.italic()}')
        l2.setFont(f2)
        l.addWidget(l2)

        f3 = QFontDatabase.font('Exo', 'Bold Italic', 24)
        o3 = QFontInfo(f3)
        l3 = QLabel(f'{o3.family()} {o3.styleName()} {o3.weight()} {o3.italic()}')
        l3.setFont(f3)
        l.addWidget(l3)


a = QApplication(sys.argv)

for file in glob.glob('*.ttf'):
    id = QFontDatabase.addApplicationFont(file)
    print(QFontDatabase.applicationFontFamilies(id))
print(QFontDatabase.styles('Exo'))

w = QMainWindow()
w.setCentralWidget(Widget(w))
w.resize(800, 600)
w.show()
a.exec()
